clang-tools 10.0.0

Classes | Namespaces | Typedefs
URI.h File Reference
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/Error.h"`
`#include "llvm/Support/Registry.h"`
Include dependency graph for URI.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::clangd::URI
| A URI describes the location of a source file. More...
class | clang::clangd::URIScheme
| URIScheme is an extension point for teaching clangd to recognize a custom URI scheme. More...

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Typedefs
typedef llvm::Registry< URIScheme > | clang::clangd::URISchemeRegistry
| By default, a "file" scheme is supported where URI paths are always absolute in the file system. More...